Loading...
Searching...
No Matches
svn_cmdline_prompt_baton2_t Struct Reference

A prompt function/baton pair, and the path to the configuration directory. More...

`#include <svn_cmdline.h>`

## Data Fields

svn_cancel_func_t | cancel_func
void * | cancel_baton
const char * | config_dir

## Detailed Description

A prompt function/baton pair, and the path to the configuration directory.

To be passed as the baton argument to the `svn_cmdline_*_prompt` functions.

Since
  New in 1.6.

Definition at line 168 of file svn_cmdline.h.

## Field Documentation

## cancel_baton

void* svn_cmdline_prompt_baton2_t::cancel_baton

Definition at line 170 of file svn_cmdline.h.

## cancel_func

svn_cancel_func_t svn_cmdline_prompt_baton2_t::cancel_func

Definition at line 169 of file svn_cmdline.h.

## config_dir

const char* svn_cmdline_prompt_baton2_t::config_dir

Definition at line 171 of file svn_cmdline.h.

The documentation for this struct was generated from the following file:

- svn_cmdline.h